AMEX File Settings
01/25/2025 03:33 PM - Arathy PS

Status: New Changes Coding Done Start date: 01/25/2025
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: AMEX File Settings

Description

History

#1 - 01/25/2025 03:34 PM - Arathy PS

AMEX File Settings

=>Menu —> More —-> AMEX-BTA

=>GUI (Like company)

*Left Side

-> AMEX Corporate Card*R multiSelectbox (*Corporate Card->Provider == AMEX AND UCCF tick, Default Tick all, all

tick then keep empty in table)

—-> Agent Code*R inputbox Title->Submission Agent Reference Code (The

by AEME)

Send Period*R - Selectbox - Daily
Created By:

Modified By:

*Right Side
=>Tabl - Time*R

—> Time Add button in header (Ref Transfer Issue>pickup time widget)

—> List—> # | Time | Delete icon

=>Tab2 - Send Days*R
—-List —-> # | Checkbox | Days

=>Tab3 - Travel Office Code
*List
# | Branch | Office Code | Edit icon

=>Tab3 - Custom data
-> Header -> Add button
# | Customer | Edit icon

->Add button popup
Customer*R - Checkbox|Code | Name - OK button

* Checkbox title-> General (Not select Customer)

# | Custom Filed No | Custom data | Edit icon

*Custom data->Corporate Custom files with Corporate cost centre also, Eg:

e customer Custom data — Ref Set Corporate Custom data modules

* Showing 7 records default

Eg:—
1011 |
T

05/03/2025

{{TRIP_ID}},

1/3

Travel Agent unique identifier specified

Load from each Corporat




*Travel->table.sqgl last
CREATE SCHEMA IF NOT EXISTS amex;

Eemciciciciciciccicleielcielciclcielciclcielcielciciciclcicieiciercieicieicleclecielclelciclchclchelclelchelchelchclcici chcieRciciclcRcleclelclc)
——QRRREREERRERRERRERERERLRRRRRRRR AMEX QRRRRRERERRRRERRERRQRRRRERRERRRRARARRRA
e clciclciclcrelcrcl cRei cr el el el el el R che el el el cRel chel cRel cReN cReN cRcN cR N R R eNcl el cl el e clel el el el el el cRCN cRCN cRCH CACH Cl Gl

—-Use :

—-—-Ref :

——Case:

——Note:

CREATE TABLE amex.tbl_amex_file_settings (
pk_amex_file_settings_id BIGSERIAL PRIMARY KEY,

arb_fk_corporate_ac_ids BIGINT ARRAY, --Tick all then empty

vhr_aeme_agent_code VARCHAR(500) NOT NULL, --Submission Agent Reference Code (The Travel Agent unique ident
ifier specified by AEME)

sin_send_period SMALLINT DEFAULT 1, -- 1=Daily

arh_send_times TIME ARRAY,

ars_send_days SMALLINT ARRAY, --Sunday=0, Monday=1, Saturday=6(Create a base data service)
jsn_aeme_office_code JSON ARRAY, -- [{'BRANCH_ID' : , 'OFFICE_CODE' : }, ]

jsn_custom_data JSON ARRAY -- [{{'CUSTOM_AC_ID' : , 'CUSTOM_FIELD_NO' : , 'CUSTOM_DATA' : }, 1

) INHERITS (tbl_action_user_and_date_time);

#2 - 01/27/2025 10:28 AM - Anil KV
- Status changed from New to Ready for Coding
- Assignee changed from travvise Admin to Greeshma S

- % Done changed from 0 to 20

#3 - 01/27/2025 04:18 PM - Greeshma S

- Assignee changed from Greeshma S to Junaid M

#4 - 01/30/2025 12:15 PM - Arathy PS

- Assignee changed from Junaid M to Greeshma S

#5 - 01/31/2025 09:35 AM - Greeshma S
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#6 - 02/05/2025 07:09 PM - Greeshma S
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#7 - 03/12/2025 06:16 PM - Arathy PS
- Status changed from Coding Done to New Changes

- % Done changed from 60 to 50

NEW CHANGE - DONE

The custom fields that are set for a customer in set corporate custom field should be the one showing as the label in amex file setting custom field
label.

#8 - 03/14/2025 06:06 PM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#9 - 03/20/2025 12:31 PM - Junaid M
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50
New Change - DONE

--> Add "Client Number" Textbox. title --> Travel Agent's account number for client-company. [Below Agent Code]

#10 - 03/20/2025 06:31 PM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#11 - 03/21/2025 09:24 AM - Junaid M
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

#12 - 03/21/2025 09:28 AM - Junaid M
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70
